<?php
// $Id$
/**
 * @file
 * The admin pages for this module
 */

/**
 * The settings form.
 */
function _twitter_import_settings() {
  $form = array();
  $form['twitter_import_term'] = array(
    '#title' => t('Term to search on'),
    '#type' => 'textfield',
    '#default_value' => variable_get('twitter_import_term', ''),
    '#description' => t('Visit !twitter page to see the search operators', array('!twitter' => l(t('this'), 'http://search.twitter.com/operators', array('attributes' => array('target' => '_blank'))))),
  );
  $form['twitter_import_user'] = array(
    '#title' => t('User to import tweets from'),
    '#type' => 'textfield',
    '#default_value' => variable_get('twitter_import_user', ''),
    '#description' => t('Insert each user seperated by a comma. Don\'t use spaces between the user and the comma.'),
  );
  $form['twitter_import_term_safe_user'] = array(
    '#title' => t('When searching on a term, these user are considered safe and their tweets are published'),
    '#type' => 'textarea',
    '#default_value' => variable_get('twitter_import_term_safe_user', ''),
    '#description' => t('Insert each user seperated by a comma. Don\'t use spaces between the user and the comma.'),
  );
  $form['twitter_manual_import'] = array(
    '#value' => '<p>' . l(t('Manually import tweets'), 'admin/content/twitter_import/import') . '</p>',
  );
  $form = system_settings_form($form);
  return $form;
}